New customers: 5% off orders over $300 | Worldwide shipping from Shenzhen · 30,000+ technicians served Track Your Order FAQ

Refurbishing Consumables

Start with the exact device model when choosing replacement parts. For repair equipment, compare the task, supported models, voltage and plug, compatible tips or fixtures, and package contents.

24 products found

Category

Brand

Price (USD)

—

Sort by

Reset
24 products found
2UUL DA79 Mini MicroTip Sharpener for Quickly Sharpening Repairing Tips of Tweezers and Precision Tools -18%
2UUL
2UUL DA79 Mini MicroTip Sharpener for Quickly Sharpening Repairing Tips of Tweezers and Precision Tools
No reviews yet · In Stock
$20.49 $24.99
CODE: RF-RFC003
2UUL SC22 SpareScrew12 Screws for iPhone Repairs (1200Pcs/Pack) -12%
2UUL
2UUL SC22 SpareScrew12 Screws for iPhone Repairs (1200Pcs/Pack)
No reviews yet · In Stock
$7.49 $8.49
CODE: RF-RFC004
WYLIE MORO-35 Grinding Tool for Polishing Blades/Tweezers/Iron Tips -24%
WYLIE
WYLIE MORO-35 Grinding Tool for Polishing Blades/Tweezers/Iron Tips
No reviews yet · In Stock
$18.99 $24.99
CODE: RF-RFC005
2UUL SC12 SpareScrew12 Phillips Screws for Android Phone Repairs (1200Pcs/Pack) -18%
2UUL
2UUL SC12 SpareScrew12 Phillips Screws for Android Phone Repairs (1200Pcs/Pack)
No reviews yet · In Stock
$4.49 $5.49
CODE: RF-RFC006
2UUL Back Cover Sealing Adhesive for iP14-17 Series (5pcs/Pack) -33%
2UUL
2UUL Back Cover Sealing Adhesive for iP14-17 Series (5pcs/Pack)
No reviews yet · In Stock
$1.99 $2.99
CODE: RF-RFC007
2UUL Screen Sealing Adhesive for iP12-17 Series (5pcs/Pack) -33%
2UUL
2UUL Screen Sealing Adhesive for iP12-17 Series (5pcs/Pack)
No reviews yet · In Stock
$1.99 $2.99
CODE: RF-RFC008
2UUL SC13 IP Color Screw Charge Port Spare Screw Kit (360pcs/Box) -14%
2UUL
2UUL SC13 IP Color Screw Charge Port Spare Screw Kit (360pcs/Box)
No reviews yet · In Stock
$9.49 $10.99
CODE: RF-RFC009
MaAnt KM1 Electric Quick Grinder for Tweezers and Precision Tools -10%
MaAnt
MaAnt KM1 Electric Quick Grinder for Tweezers and Precision Tools
No reviews yet · In Stock
$13.49 $14.99
CODE: RF-RFC010
MaAnt Special Diamond Wire for LCD Separator 100M -25%
MaAnt
MaAnt Special Diamond Wire for LCD Separator 100M
No reviews yet · In Stock
$1.50 $2.00
CODE: RF-RFC012
Cellphone LCD Screen Separator Handy Tool -67%
Best
Cellphone LCD Screen Separator Handy Tool
No reviews yet · In Stock
$0.99 $3.00
CODE: RF-RFC013
Alloy Wire for Cellphone LCD Screen Separator Handy Tool -50%
Best
Alloy Wire for Cellphone LCD Screen Separator Handy Tool
No reviews yet · In Stock
$1.50 $3.00
CODE: RF-RFC014
BEST Back Cover Glass Glue Solution 20ml for iPhone 8/8P/X -33%
Best
BEST Back Cover Glass Glue Solution 20ml for iPhone 8/8P/X
No reviews yet · In Stock
$4.00 $6.00
CODE: RF-RFC015
Pull Tape Sticker for Phone LCD OCA Repair NEW
Best
Pull Tape Sticker for Phone LCD OCA Repair
No reviews yet · In Stock
$0.01
CODE: RF-RFC016
Apparatus Ligamentosus Weitbrechti Soft Silicone 16 x 16cm For Phone Repair -17%
M-Triangel
Apparatus Ligamentosus Weitbrechti Soft Silicone 16 x 16cm For Phone Repair
No reviews yet · In Stock
$2.50 $3.00
CODE: RF-RFC017
2UUL DA33 No-Damage Blue Light FilmCamera Lens Protective Sticker 500pcs/Box -13%
2UUL
2UUL DA33 No-Damage Blue Light FilmCamera Lens Protective Sticker 500pcs/Box
No reviews yet · In Stock
$2.59 $2.99
CODE: RF-RFC018
Touch Screen Separator Antiskid Rubber Mat 180 x 110 x 10 mm -67%
Best
Touch Screen Separator Antiskid Rubber Mat 180 x 110 x 10 mm
No reviews yet · In Stock
$1.00 $3.05
CODE: RF-RFC019
2UUL DA32 Phone Mic Protective Sticker (For After Market Phone Repair) 500PCS/Pack NEW
2UUL
2UUL DA32 Phone Mic Protective Sticker (For After Market Phone Repair) 500PCS/Pack
No reviews yet · In Stock
$2.49
CODE: RF-RFC020
2UUL DA20 Electric Wire Wrapping Bar NEW
2UUL
2UUL DA20 Electric Wire Wrapping Bar
No reviews yet · In Stock
$24.99
CODE: RF-RFC021
LanRui i9 Multi-purpose Adhesive NEW
Lanrui
LanRui i9 Multi-purpose Adhesive
No reviews yet · In Stock
$1.99
CODE: RF-RFC022
2UUL Sharp Wire for Screen Separation 100M (5 Rolls/Box) -50%
2UUL
2UUL Sharp Wire for Screen Separation 100M (5 Rolls/Box)
No reviews yet · In Stock
$1.99 $3.99
CODE: RF-RFC023
2UUL WS-015/028/035 Tungsten Sharp Wire for Screen Separation 0.015/0.028/0.035*100M -15%
2UUL
2UUL WS-015/028/035 Tungsten Sharp Wire for Screen Separation 0.015/0.028/0.035*100M
No reviews yet · In Stock
$8.49 $9.99
CODE: RF-RFC024
RELIFE RL-035Q Camera Lens Blue Light Repair Liquid -33%
ReLife
RELIFE RL-035Q Camera Lens Blue Light Repair Liquid
No reviews yet · In Stock
$2.69 $3.99
CODE: RF-RFC025
2UUL LD11 Anti-Bubble Lamination Pad for Universal Screen (2Pcs/Set) -13%
2UUL
2UUL LD11 Anti-Bubble Lamination Pad for Universal Screen (2Pcs/Set)
No reviews yet · In Stock
$6.99 $7.99
CODE: RF-RFC026
2UUL LD12 Anti-Bubble Lamination Pad for Hight-Curve Screen(5Pcs/Set)
2UUL
2UUL LD12 Anti-Bubble Lamination Pad for Hight-Curve Screen(5Pcs/Set)
No reviews yet · In Stock
$13.99 $14.99
CODE: RF-RFC027

Subscribe to our newsletter

Be the first to know about new arrivals and promotions.